// src/index.ts
var CSS_REGEX = /\.(css)['"]/g;
var src_default = () => {
  return {
    name: "vite-plugin-inline-css-import",
    transform(code) {
      const aCode = code;
      const codeArray = aCode.split("");
      const appendArr = [];
      for (const match of aCode.matchAll(CSS_REGEX)) {
        const [_, matched] = match;
        const append = match.index;
        if (append) {
          appendArr.push({
            append,
            matched
          });
        }
      }
      if (appendArr.length > 0) {
        appendArr.sort((a, b) => b.append - a.append).forEach((a) => {
          codeArray.splice(a.append + a.matched.length + 1, 0, "?inline");
        });
        return {
          code: codeArray.join("")
        };
      }
      return {
        code
      };
    }
  };
};
export {
  src_default as default
};
